commit b8a001599d21eaa77737df7efc6bc206e6964cdf
Author: Christophe Lyon <christophe.lyon@foss.st.com>
Date:   Fri Aug 6 16:25:47 2021

    arm: Fix pr69245.c testcase for reorder assembler architecture directives [PR101723]
    
    In gcc.target/arm/pr69245.c, to have a .fpu neon-vfpv4 directive, make
    sure code for fn1() is emitted, by removing the static keyword.
    
    Fix a typo in gcc.target/arm/pr69245.c, where \s should be \\s.
    
    2021-08-06  Christophe Lyon  <christophe.lyon@foss.st.com>
    
            gcc/testsuite/
    
            PR target/101723
            * gcc.target/arm/pr69245.c: Make sure to emit code for fn1, fix
            typo.
    
    (cherry picked from commit aff75af3b50f8c039ed6fbfa3f313ba45d44f6e6)

diff --git a/gcc/testsuite/gcc.target/arm/pr69245.c b/gcc/testsuite/gcc.target/arm/pr69245.c
index 34b97a22e15..58a6104e8f6 100644
--- a/gcc/testsuite/gcc.target/arm/pr69245.c
+++ b/gcc/testsuite/gcc.target/arm/pr69245.c
@@ -12,7 +12,7 @@
 #pragma GCC target "fpu=neon-vfpv4"
 int a, c, d;
 float b;
-static int fn1 ()
+ int fn1 ()
 {
   return 0;
 }
@@ -26,5 +26,5 @@ void fn2 ()
 /* Because we don't know the exact command-line options used to invoke the test
    we cannot expect these tests to match exactly once.  But they must appear at
    least once.  */
-/* { dg-final { scan-assembler "\.fpu\s+vfp\n" } } */
-/* { dg-final { scan-assembler "\.fpu\s+neon-vfpv4\n" } } */
+/* { dg-final { scan-assembler "\.fpu\\s+vfp\n" } } */
+/* { dg-final { scan-assembler "\.fpu\\s+neon-vfpv4\n" } } */

